Unit tafb2c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFB2C_p;

function tafb2c: String;

implementation

function tafb2c: String;
var
MA,N,ML,MU,I,J,J0,J1,K,IERR :Integer;
S,RCOND :Real;
B :Complex;
A :Array [0..80] of Complex;
Z :Array [0..8] of Complex;
NLEAD :Array [0..8] of Integer;
label
_2,_1,_3,_4;
begin
Result := '';  {   }
MA := 9;
N := 9;
ML := 2;
MU := 3;
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    A[(I-1)+(J-1)*9] := Cmplx(0.0,0.0);
_2:
   end;
_1:
 end;
for I:=1 to MA do
 begin
  J0 := Max0(1,I-ML);
  J1 := Min0(N,I+MU);
  for J:=J0 to J1 do
   begin
    K := J-I+ML+1;
    S := (I*10+J);
    A[(I-1)+(K-1)*9] := Cmplx(S,0.0);
_3:
   end;
_4:
 end;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to MA do
   begin
    Result := Result + Format('   A=  %20.16f  %20.16f ',
 [A[(I-1)+(J-1)*9].re,A[(I-1)+(J-1)*9].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
AFB2C(A,MA,N,ML,MU,NLEAD,RCOND,Z,IERR);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('   NLEAD=   %3d ',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to MA do
   begin
    Result := Result + Format('   A=  %20.16f  %20.16f ',
 [A[(I-1)+(J-1)*9].re,A[(I-1)+(J-1)*9].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['   RCOND=']);
Result := Result + Format('%20.16f ',[RCOND]) + #$0D#$0A;
UtRes('tafb2c',Result);  {     tafb2c.res }
exit;
end;

end.
